Loading...
Searching...
No Matches
wayland::output_transform Struct Reference

transform from framebuffer to output More...

`#include <wayland-client-protocol.hpp>`

Inherits wayland::detail::bitfield< size, id >.

## Static Public Attributes

static const wayland::detail::bitfield< 3, 21 > | normal {0}
| no transform
static const wayland::detail::bitfield< 3, 21 > | _90 {1}
| 90 degrees counter-clockwise
static const wayland::detail::bitfield< 3, 21 > | _180 {2}
| 180 degrees counter-clockwise
static const wayland::detail::bitfield< 3, 21 > | _270 {3}
| 270 degrees counter-clockwise
static const wayland::detail::bitfield< 3, 21 > | flipped {4}
| 180 degree flip around a vertical axis
static const wayland::detail::bitfield< 3, 21 > | flipped_90 {5}
| flip and rotate 90 degrees counter-clockwise
static const wayland::detail::bitfield< 3, 21 > | flipped_180 {6}
| flip and rotate 180 degrees counter-clockwise
static const wayland::detail::bitfield< 3, 21 > | flipped_270 {7}
| flip and rotate 270 degrees counter-clockwise

## Detailed Description

transform from framebuffer to output

This describes the transform that a compositor will apply to a surface to compensate for the rotation or mirroring of an output device.

The flipped values correspond to an initial flip around a vertical axis followed by rotation.

The purpose is mainly to allow clients to render accordingly and tell the compositor, so that for fullscreen surfaces, the compositor will still be able to scan out directly from client surfaces.

Definition at line 3734 of file wayland-client-protocol.hpp.

## Member Data Documentation

## _180

const bitfield< 3, 21 > output_transform::_180 {2}

static

180 degrees counter-clockwise

Definition at line 3745 of file wayland-client-protocol.hpp.

## _270

const bitfield< 3, 21 > output_transform::_270 {3}

static

270 degrees counter-clockwise

Definition at line 3747 of file wayland-client-protocol.hpp.

## _90

const bitfield< 3, 21 > output_transform::_90 {1}

static

90 degrees counter-clockwise

Definition at line 3743 of file wayland-client-protocol.hpp.

## flipped

const bitfield< 3, 21 > output_transform::flipped {4}

static

180 degree flip around a vertical axis

Definition at line 3749 of file wayland-client-protocol.hpp.

## flipped_180

const bitfield< 3, 21 > output_transform::flipped_180 {6}

static

flip and rotate 180 degrees counter-clockwise

Definition at line 3753 of file wayland-client-protocol.hpp.

## flipped_270

const bitfield< 3, 21 > output_transform::flipped_270 {7}

static

flip and rotate 270 degrees counter-clockwise

Definition at line 3755 of file wayland-client-protocol.hpp.

## flipped_90

const bitfield< 3, 21 > output_transform::flipped_90 {5}

static

flip and rotate 90 degrees counter-clockwise

Definition at line 3751 of file wayland-client-protocol.hpp.

## normal

const bitfield< 3, 21 > output_transform::normal {0}

static

no transform

Definition at line 3741 of file wayland-client-protocol.hpp.

The documentation for this struct was generated from the following files:

- obj-x86_64-linux-gnu/wayland-client-protocol.hpp
- obj-x86_64-linux-gnu/wayland-client-protocol.cpp
- obj-x86_64-linux-gnu/wayland-server-protocol.cpp